- add fixme-commentary about sqlite dependency